The BOOST_PP_LIST_ENUM_R macro converts a list to a comma-separated list. It reenters BOOST_PP_FOR with maximum efficiency.

#### Usage

BOOST_PP_LIST_ENUM_R(r, list)

#### Arguments

r
  The next available BOOST_PP_FOR repetition.
list
  The list to be converted.

#### Remarks

If list is, for example, (a, (b, (c, BOOST_PP_NIL))), this macro will produce:
a, b, c

#### See Also

- BOOST_PP_LIST_ENUM

#### Requirements

Header: <boost/preprocessor/list/enum.hpp>

#### Sample Code

    #include <boost/preprocessor/list/adt.hpp>
    #include <boost/preprocessor/repetition/for.hpp>
    #include <boost/preprocessor/list/enum.hpp>

    #define LIST (x, (y, (z, BOOST_PP_NIL)))

    #define PRED(r, state) BOOST_PP_LIST_IS_CONS(state)
    #define OP(r, state) BOOST_PP_LIST_REST(state)
    #define MACRO(r, state) [ BOOST_PP_LIST_ENUM_R(r, state) ]

    BOOST_PP_FOR(LIST, PRED, OP, MACRO)
       // expands to [x, y, z] [y, z] [z]

© Copyright Housemarque Oy 2002 © Copyright Paul Mensonides 2002

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)